%global sum Common object storage frontend
%global desc Common object storage frontend that supports dictionary-style access, object\
serialization and compression, and multiple storage and caching backends.\
\
Currently supported storage backends are:\
\
        * Amazon S3 Web Service\
        * Berkeley Source Database\
        * Filesystem\
        * Firebird\
        * FTP\
        * DBM\
        * Durus\
        * Memory\
        * Microsoft SQL Server\
        * MySQL\
        * Oracle\
        * PostgreSQL\
        * SQLite\
        * Subversion\
        * Zope Object Database (ZODB)\
\
Currently supported caching backends are:\
\
        * Filesystem\
        * Firebird\
        * memcached\
        * Memory\
        * Microsoft SQL Server\
        * MySQL\
        * Oracle\
        * PostgreSQL\
        * SQLite

%if 0%{?fedora}
%global with_python3 1
%endif

%define module  shove

Name:           python-shove
Version:        0.6.4
Release:        7%{?dist}
Summary:        %{sum}

Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/shove/
Source0:        http://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

%description
%{desc}


%package -n python2-%{module}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{module}}

Requires:       python2-boto
Requires:       python-sqlalchemy
Requires:       python2-stuf

%description -n python2-%{module}
%{desc}


%if 0%{?with_python3}
%package -n python3-%{module}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{module}}

Requires:       python3-boto
Requires:       python3-sqlalchemy
Requires:       python3-stuf

%description -n python3-%{module}
%{desc}
%endif


%prep
%autosetup -n %{module}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%files -n python2-%{module}
%doc README.rst CHANGELOG
%license LICENSE
%{python2_sitelib}/shove*

%if 0%{?with_python3}
%files -n python3-%{module}
%doc README.rst CHANGELOG
%license LICENSE
%{python3_sitelib}/shove*
%endif


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.6.4-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed May 11 2016 Tomas Orsava <torsava@redhat.com> - 0.6.4-3
- Based on patches from Ralph Bean and Charalampos Stratakis
- Add python3 subpackage.
- Use modern python packaging macros from the guidelines.
- Added LICENSE and CHANGELOG files.
- Add missing requirement on python-stuf.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Aug 19 2015 Luke Macken <lmacken@redhat.com> - 0.6.4-1
- Updated to 0.6.3 (#1256191)

* Wed Aug 19 2015 Luke Macken <lmacken@redhat.com> - 0.6.3-1
- Updated to 0.6.3 (#781425)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 06 2013 Pierre-Yves Chibon <pingou@pingoured>fr - 0.3.3-6
- Change BR from python-setuptools-devel to python-setuptools
  See https://fedoraproject.org/wiki/Changes/Remove_Python-setuptools-devel

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 14 2011 Luke Macken <lmacken@redhat.com> - 0.3.3-1
- Update to 0.3.3 (#734739)

* Thu Jun 16 2011 Luke Macken <lmacken@redhat.com> - 0.2.5-1
- Update to 0.2.5 (#681829)

* Tue Mar 01 2011 Luke Macken <lmacken@redhat.com> - 0.2.2-1
- Update to 0.2.2
- Update our setup.py patch

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 03 2009 Luke Macken <lmacken@redhat.com> 0.2.1-2
- Add python-setuptools-devel to our BuildRequires, so we generate the egg-info

* Tue Jun 02 2009 Luke Macken <lmacken@redhat.com> 0.2.1-1
- Latest upstream release
- Update the setup.py patch to remove the hard SQLAlchemy dependency,
  as this module works fine with the latest.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 06 2009 Luke Macken <lmacken@redhat.com> 0.1.3-2
- Use consistent macros
- Add comment about patch
- Make rpmlint happy

* Tue Dec 16 2008 Luke Macken <lmacken@redhat.com> 0.1.3-1
- Initial package
